Page MenuHomePhabricator

1.39.0-wmf.23 deployment blockers
Closed, ResolvedPublic5 Estimated Story PointsRelease

Details

Backup Train Conductor
brennen
Release Version
1.39.0-wmf.23
Release Date
Mon, Aug 1, 12:00 AM

2022 week 31 1.39-wmf.23 Changes wmf/1.39.0-wmf.23

This MediaWiki Train Deployment is scheduled for the week of Monday, August 1st:

Monday August 1stTuesday, August 2ndWednesday, August 3rdThursday, August 4thFriday
Backports only.Branch wmf.23 and deploy to Group 0 Wikis.Deploy wmf.23 to Group 1 Wikis.Deploy wmf.23 to all Wikis.No deployments on fridays

How this works

  • Any serious bugs affecting wmf.23 should be added as subtasks beneath this one.
  • Any open subtask(s) block the train from moving forward. This means no further deployments until the blockers are resolved.
  • If something is serious enough to warrant a rollback then you should bring it to the attention of deployers on the #wikimedia-operations IRC channel.
  • If you have a risky change in this week's train add a comment to this task using the Risky patch template
  • For more info about deployment blockers, see Holding the train.

Related Links

Other Deployments

Previous: 1.39.0-wmf.22
Next: 1.39.0-wmf.24

Event Timeline

thcipriani triaged this task as Medium priority.
thcipriani updated Other Assignee, added: brennen.
thcipriani set the point value for this task to 5.

Heads up:

We made a change that may cause a blip in the html2wt.size.input metrics: we changed the computation of the size from being in characters to being in bytes. This means that for languages that use a lot of multi-byte characters, such as Russian or Chinese, the recorded sizes will go up, and the reported speeds will improve.

This was done to fix an inconsistency, and a FIXME comment: ParsoidHandler::html2wt had the following:

               // FIXME: Should perhaps be strlen instead
		$htmlSize = mb_strlen( $input->getOriginalHtml() );

So the size used to be in characters.

Also, in the same method, we had:

$metrics->timing( 'html2wt.timePerInputKB', $total * 1024 / strlen( $input->getOriginalHtml() ) );

Here, the size was always measured in bytes.

With the patch applied, both metrics will use the size in bytes.

Note that the same value is passed on into Parsoid, where it is used with Env::bumpHtml2WtResourceUse. This may cause ResourceLimitExceededExceptions to be thrown earlier, since the size is now being counted in bytes, so the numbers are higher. This would cause HTTP Status 413 (Payload Too Large) to be returned to the client.

Relevant patch: https://gerrit.wikimedia.org/r/c/mediawiki/core/+/816134

I merged a change that reverts this change. So, this should not be an issue anymore.

I merged a change that reverts this change. So, this should not be an issue anymore.

To clarify: The original change removed an inconsistency by measuring everything in bytes. We now changed this to measuring everything in characters.

So, the change to the html2wt.size.input was reverted, and the resource limits should work as before.

However, the html2wt.timePerInputKB will now be effected and report slower parsing speeds for sites that use a lot of multi-byte characters. The name is also off now, it's no longer in kilobyte, it's kilo-chars. We may want to rename the metric.

Risky Patch! 🚂🔥
  • Change: https://gerrit.wikimedia.org/r/c/mediawiki/extensions/DiscussionTools/+/785171 Make reply links into buttons when visual enhancements enabled
  • Summary:
    • Significant changes to the HTML added to discussion pages for the reply tool, to support the new visual enhancements feature. The HTML is cached in the parser cache and in Varnish.
  • Test plan:
    • Manual testing. The new feature is only enabled on mediawiki.org, but because we have just one version of parser HTML that supports every combination of our features (disabled ones are hidden with CSS and post-cache transforms), it could affect other wikis too.
  • Places to monitor:
    • Unlikely to cause exceptions or other alerts, just look out for bug reports about reply links disappearing or looking wrong.
  • Revert plan: Revert. (Might be easiest to move the whole DiscussionTools to wmf.22, as there were some followup patches.)
  • Affected wikis: all
  • IRC contact: MatmaRex, edsanders, Kemayo
  • UBN Task Projects/tags: Editing-team
  • Would you like to backport this change rather than ride the train?: No

Change 819654 had a related patch set uploaded (by TrainBranchBot; author: MediaWiki PreSync):

[operations/mediawiki-config@master] testwikis wikis to 1.39.0-wmf.23

https://gerrit.wikimedia.org/r/819654

Change 819654 merged by jenkins-bot:

[operations/mediawiki-config@master] testwikis wikis to 1.39.0-wmf.23

https://gerrit.wikimedia.org/r/819654

Mentioned in SAL (#wikimedia-operations) [2022-08-02T18:04:20Z] <dancy@deploy1002> Started scap: testwikis wikis to 1.39.0-wmf.23 refs T308076

Mentioned in SAL (#wikimedia-operations) [2022-08-02T18:54:59Z] <dancy@deploy1002> Finished scap: testwikis wikis to 1.39.0-wmf.23 refs T308076 (duration: 50m 39s)

Change 819741 had a related patch set uploaded (by TrainBranchBot; author: Ahmon Dancy):

[operations/mediawiki-config@master] group0 wikis to 1.39.0-wmf.23

https://gerrit.wikimedia.org/r/819741

Change 819741 merged by jenkins-bot:

[operations/mediawiki-config@master] group0 wikis to 1.39.0-wmf.23

https://gerrit.wikimedia.org/r/819741

Mentioned in SAL (#wikimedia-operations) [2022-08-02T20:50:35Z] <dancy@deploy1002> rebuilt and synchronized wikiversions files: group0 wikis to 1.39.0-wmf.23 refs T308076

Change 819745 had a related patch set uploaded (by TrainBranchBot; author: Ahmon Dancy):

[operations/mediawiki-config@master] group0 wikis to 1.39.0-wmf.22

https://gerrit.wikimedia.org/r/819745

Change 819745 merged by jenkins-bot:

[operations/mediawiki-config@master] group0 wikis to 1.39.0-wmf.22

https://gerrit.wikimedia.org/r/819745

Mentioned in SAL (#wikimedia-operations) [2022-08-02T20:58:23Z] <dancy@deploy1002> rebuilt and synchronized wikiversions files: group0 wikis to 1.39.0-wmf.22 refs T308076

Change 819756 had a related patch set uploaded (by TrainBranchBot; author: Ahmon Dancy):

[operations/mediawiki-config@master] group0 wikis to 1.39.0-wmf.23

https://gerrit.wikimedia.org/r/819756

Change 819756 merged by jenkins-bot:

[operations/mediawiki-config@master] group0 wikis to 1.39.0-wmf.23

https://gerrit.wikimedia.org/r/819756

Mentioned in SAL (#wikimedia-operations) [2022-08-02T21:58:17Z] <dancy@deploy1002> rebuilt and synchronized wikiversions files: group0 wikis to 1.39.0-wmf.23 refs T308076

Change 820176 had a related patch set uploaded (by TrainBranchBot; author: Ahmon Dancy):

[operations/mediawiki-config@master] group1 wikis to 1.39.0-wmf.23

https://gerrit.wikimedia.org/r/820176

Change 820176 merged by jenkins-bot:

[operations/mediawiki-config@master] group1 wikis to 1.39.0-wmf.23

https://gerrit.wikimedia.org/r/820176

Mentioned in SAL (#wikimedia-operations) [2022-08-03T18:12:37Z] <dancy@deploy1002> rebuilt and synchronized wikiversions files: group1 wikis to 1.39.0-wmf.23 refs T308076

Mentioned in SAL (#wikimedia-operations) [2022-08-03T18:16:15Z] <dancy@deploy1002> Synchronized php: group1 wikis to 1.39.0-wmf.23 refs T308076 (duration: 03m 37s)

Change 820547 had a related patch set uploaded (by TrainBranchBot; author: Ahmon Dancy):

[operations/mediawiki-config@master] group2 wikis to 1.39.0-wmf.23

https://gerrit.wikimedia.org/r/820547

Change 820547 merged by jenkins-bot:

[operations/mediawiki-config@master] group2 wikis to 1.39.0-wmf.23

https://gerrit.wikimedia.org/r/820547

Mentioned in SAL (#wikimedia-operations) [2022-08-04T19:10:46Z] <dancy@deploy1002> rebuilt and synchronized wikiversions files: group2 wikis to 1.39.0-wmf.23 refs T308076

Risky Patch! 🚂🔥

Bad news: the changes cause some issues when the patch is rolled back. (T314608)

We noticed this because the group2 deployment has gone wrong, and the servers are running a mix of wmf.22 and wmf.23 right now. (This is being debugged in #wikimedia-operations on IRC right now.)

If that can't be resolved, I'll work on some patch to backport to wmf.22 to remedy that…

I can't get a response on IRC, but from where I'm sitting, it looks like we now have wmf.23 everywhere.